summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-base')
-rw-r--r--kde-base/kde-env/files/90kde2.2.11
-rw-r--r--kde-base/kde-env/kde-env-2.2.1.ebuild13
-rw-r--r--kde-base/kdeaddons/kdeaddons-2.2.1.ebuild54
-rw-r--r--kde-base/kdeadmin/kdeadmin-2.2.1.ebuild60
-rw-r--r--kde-base/kdeartwork/kdeartwork-2.2.1.ebuild52
-rw-r--r--kde-base/kdebase/files/digest-kdebase-2.2.11
-rw-r--r--kde-base/kdebase/files/kde2.2.12
-rw-r--r--kde-base/kdebase/kdebase-2.2.1.ebuild120
-rw-r--r--kde-base/kdebindings/kdebindings-2.2.1.ebuild64
-rw-r--r--kde-base/kdegames/kdegames-2.2.1.ebuild36
-rw-r--r--kde-base/kdegraphics/files/kdegraphics-2.2.1-gentoo.diff11
-rw-r--r--kde-base/kdegraphics/kdegraphics-2.2.1.ebuild62
-rw-r--r--kde-base/kdelibs/files/digest-kdelibs-2.2.12
-rw-r--r--kde-base/kdelibs/kdelibs-2.2.1.ebuild94
-rw-r--r--kde-base/kdemultimedia/files/kdemultimedia-2.2.1-gentoo.diff55
-rw-r--r--kde-base/kdemultimedia/kdemultimedia-2.2.1.ebuild103
-rw-r--r--kde-base/kdenetwork/kdenetwork-2.2.1.ebuild49
-rw-r--r--kde-base/kdepim/kdepim-2.2.1.ebuild51
-rw-r--r--kde-base/kdesdk/kdesdk-2.2.1.ebuild51
-rw-r--r--kde-base/kdetoys/kdetoys-2.2.1.ebuild39
-rw-r--r--kde-base/kdeutils/kdeutils-2.2.1.ebuild40
-rw-r--r--kde-base/kdoc/files/digest-kdoc-2.2.11
-rw-r--r--kde-base/kdoc/kdoc-2.2.1.ebuild41
23 files changed, 1002 insertions, 0 deletions
diff --git a/kde-base/kde-env/files/90kde2.2.1 b/kde-base/kde-env/files/90kde2.2.1
new file mode 100644
index 000000000000..bf744c4e8675
--- /dev/null
+++ b/kde-base/kde-env/files/90kde2.2.1
@@ -0,0 +1 @@
+KDEDIR=/usr
diff --git a/kde-base/kde-env/kde-env-2.2.1.ebuild b/kde-base/kde-env/kde-env-2.2.1.ebuild
new file mode 100644
index 000000000000..9127d2b23e85
--- /dev/null
+++ b/kde-base/kde-env/kde-env-2.2.1.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Achim Gottinger <achim@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kde-env/kde-env-2.2.1.ebuild,v 1.1 2001/09/19 06:24:04 danarmak Exp $
+
+DESCRIPTION="KDE 2.2 environment settings (KDEDIR)"
+HOMEPAGE="http://www.kde.org/"
+
+src_install() {
+
+ insinto /etc/env.d
+ doins ${FILESDIR}/90kde${PV}
+}
diff --git a/kde-base/kdeaddons/kdeaddons-2.2.1.ebuild b/kde-base/kdeaddons/kdeaddons-2.2.1.ebuild
new file mode 100644
index 000000000000..482cc3083345
--- /dev/null
+++ b/kde-base/kdeaddons/kdeaddons-2.2.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Philippe Namias <pnamias@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdeaddons/kdeaddons-2.2.1.ebuild,v 1.1 2001/09/19 06:24:04 danarmak Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="KDE ${PV} - Addons"
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+
+HOMEPAGE="http://www.kde.org/"
+
+DEPEND=">=kde-base/kdemultimedia-${PV}
+ >=media-libs/libsdl-1.2
+ objprelink? ( dev-util/objprelink )"
+
+src_unpack() {
+
+ cd ${WORKDIR}
+ unpack ${P}.tar.bz2
+
+}
+
+src_compile() {
+
+ source /etc/env.d/90{qt,kde${PV}}
+
+ local myconf
+ if [ "`use qtmt`" ]
+ then
+ myconf="$myconf --enable-mt"
+ fi
+ if [ "`use mitshm`" ]
+ then
+ myconf="$myconf --enable-mitshm"
+ fi
+ if [ "`use objprelink`" ] ; then
+ myconf="$myconf --enable-objprelink"
+ fi
+ QTBASE=/usr/X11R6/lib/qt
+ ./configure --host=${CHOST} \
+ --with-xinerama $myconf || die
+ make || die
+}
+
+src_install() {
+ make install DESTDIR=${D} || die
+ dodoc AUTHORS COPYING README
+}
+
+
+
diff --git a/kde-base/kdeadmin/kdeadmin-2.2.1.ebuild b/kde-base/kdeadmin/kdeadmin-2.2.1.ebuild
new file mode 100644
index 000000000000..054f714136f8
--- /dev/null
+++ b/kde-base/kdeadmin/kdeadmin-2.2.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Philippe Namias <pnamias@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdeadmin/kdeadmin-2.2.1.ebuild,v 1.1 2001/09/19 06:24:04 danarmak Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="KDE ${PV} - Administration"
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+
+HOMEPAGE="http://www.kde.org/"
+
+DEPEND=">=kde-base/kdelibs-${PV}
+ >=app-arch/rpm-3.0.5
+ pam? ( >=sys-libs/pam-0.72 )
+ objprelink? ( dev-util/objprelink )"
+
+RDEPEND=$DEPEND
+
+src_unpack() {
+
+ cd ${WORKDIR}
+ unpack ${P}.tar.bz2
+
+}
+
+src_compile() {
+ . /etc/env.d/90{kde${PV},qt}
+ local myconf
+ if [ "`use pam`" ]
+ then
+ myconf="--with-pam"
+ else
+ myconf="--without-pam"
+ fi
+ if [ "`use qtmt`" ]
+ then
+ myconf="$myconf --enable-mt"
+ fi
+ if [ "`use mitshm`" ]
+ then
+ myconf="$myconf --enable-mitshm"
+ fi
+ if [ "`use objprelink`" ] ; then
+ myconf="$myconf --enable-objprelink"
+ fi
+ ./configure --host=${CHOST} \
+ --with-rpm --with-xinerama $myconf || die
+ make || die
+}
+
+src_install() {
+ make install DESTDIR=${D} || die
+ dodoc AUTHORS COPYING README
+}
+
+
+
diff --git a/kde-base/kdeartwork/kdeartwork-2.2.1.ebuild b/kde-base/kdeartwork/kdeartwork-2.2.1.ebuild
new file mode 100644
index 000000000000..48f96851307c
--- /dev/null
+++ b/kde-base/kdeartwork/kdeartwork-2.2.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Philippe Namias <pnamias@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdeartwork/kdeartwork-2.2.1.ebuild,v 1.1 2001/09/19 06:24:04 danarmak Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="KDE ${PV} - Artwork"
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+
+HOMEPAGE="http://www.kde.org/"
+
+DEPEND=">=kde-base/kdebase-${PV}
+ objprelink? ( dev-util/objprelink )"
+
+RDEPEND=$DEPEND
+
+src_unpack() {
+
+ cd ${WORKDIR}
+ unpack ${P}.tar.bz2
+
+}
+
+src_compile() {
+ . /etc/env.d/90{kde${PV},qt}
+ local myconf
+ if [ "`use qtmt`" ]
+ then
+ myconf="--enable-mt"
+ fi
+ if [ "`use mitshm`" ]
+ then
+ myconf="$myconf --enable-mitshm"
+ fi
+ if [ "`use objprelink`" ] ; then
+ myconf="$myconf --enable-objprelink"
+ fi
+ ./configure --host=${CHOST} \
+ --with-xinerama $myconf || die
+ make || die
+}
+
+src_install() {
+ make install DESTDIR=${D} || die
+ dodoc README
+}
+
+
+
diff --git a/kde-base/kdebase/files/digest-kdebase-2.2.1 b/kde-base/kdebase/files/digest-kdebase-2.2.1
new file mode 100644
index 000000000000..922b8bd0314b
--- /dev/null
+++ b/kde-base/kdebase/files/digest-kdebase-2.2.1
@@ -0,0 +1 @@
+MD5 14c7e9a73f5b60c6b4ed7c14acbfb69a kdebase-2.2.1.tar.bz2
diff --git a/kde-base/kdebase/files/kde2.2.1 b/kde-base/kdebase/files/kde2.2.1
new file mode 100644
index 000000000000..293ba59dc5e3
--- /dev/null
+++ b/kde-base/kdebase/files/kde2.2.1
@@ -0,0 +1,2 @@
+#!/bin/sh
+/usr/bin/startkde
diff --git a/kde-base/kdebase/kdebase-2.2.1.ebuild b/kde-base/kdebase/kdebase-2.2.1.ebuild
new file mode 100644
index 000000000000..21ee33d4f9d6
--- /dev/null
+++ b/kde-base/kdebase/kdebase-2.2.1.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Achim Gottinger <achim@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdebase/kdebase-2.2.1.ebuild,v 1.1 2001/09/19 06:24:04 danarmak Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="KDE ${PV} - Base"
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+HOMEPAGE="http://www.kde.org/"
+
+DEPEND="~kde-base/kdelibs-${PV}
+ >=media-sound/cdparanoia-3.9.8
+ ldap? ( >=net-nds/openldap-1.2 )
+ pam? ( >=sys-libs/pam-0.73 )
+ motif? ( >=x11-libs/openmotif-2.1.30 )
+ lame? ( =media-sound/lame-3.89b )
+ vorbis? ( >=media-libs/libvorbis-1.0_beta1 )
+ cups? ( net-print/cups )
+ ssl? ( dev-libs/openssl )
+ objprelink? ( dev-util/objprelink )"
+
+src_unpack() {
+
+ cd ${WORKDIR}
+ unpack ${P}.tar.bz2
+
+}
+
+src_compile() {
+
+ source /etc/env.d/90{kde${PV},qt}
+
+ local myconf
+ if [ "`use ldap`" ] ; then
+ myconf="--with-ldap"
+ else
+ myconf="--without-ldap"
+ fi
+
+ if [ "`use pam`" ] ; then
+ myconf="$myconf --with-pam"
+ else
+ myconf="$myconf --with-shadow"
+ fi
+
+ if [ "`use qtmt`" ] ; then
+ myconf="$myconf --enable-mt"
+ fi
+
+ if [ "`use mitshm`" ] ; then
+ myconf="$myconf --enable-mitshm"
+ fi
+
+ if [ -z "`use motif`" ] ; then
+ myconf="$myconf --without-motif"
+ fi
+
+ if [ -z "`use lame`" ] ; then
+ myconf="$myconf --without-lame"
+ fi
+
+ if [ -z "`use cups`" ] ; then
+ myconf="$myconf --disable-cups"
+ fi
+
+ if [ -z "`use vorbis`" ] ; then
+ myconf="$myconf --without-vorbis"
+ fi
+
+ if [ -z "`use opengl`" ] ; then
+ myconf="$myconf --without-gl"
+ fi
+
+ if [ -z "`use ssl`" ] ; then
+ myconf="$myconf --without-ssl"
+ fi
+ if [ "`use objprelink`" ] ; then
+ myconf="$myconf --enable-objprelink"
+ fi
+
+ ./configure --host=${CHOST} --with-x \
+ ${myconf} --with-xinerama || die
+ make || die
+}
+
+
+src_install() {
+
+ cd ${S}
+
+ make install DESTDIR=${D} || die
+
+ insinto /etc/pam.d
+ newins ${FILESDIR}/kscreensaver.pam kscreensaver
+ newins kde.pamd kde
+
+ dodoc AUTHORS ChangeLog README*
+ sed -e "s:^#\!/bin/sh:#\!/bin/sh --login:" ${D}/usr/bin/startkde > ${D}/usr/bin/startkde.tmp
+ mv ${D}/usr/bin/startkde.tmp ${D}/usr/bin/startkde
+ chmod a+x ${D}/usr/bin/startkde
+
+ insinto /usr/share/config/kdm
+ doins ${FILESDIR}/kdmrc
+
+ exeinto /usr/X11R6/bin/wm
+ doexe ${FILESDIR}/{kde${PV},xsession}
+ cd ${D}/usr/X11R6/bin/wm
+ ln -sf kde${PV} kde
+
+ cd ${D}/usr/share/config/kdm
+ mv kdmrc kdmrc.orig
+ sed -e 's/SessionTypes=/SessionTypes=xsession,/' kdmrc.orig > kdmrc
+ rm kdmrc.orig
+
+}
+
+
diff --git a/kde-base/kdebindings/kdebindings-2.2.1.ebuild b/kde-base/kdebindings/kdebindings-2.2.1.ebuild
new file mode 100644
index 000000000000..a4d106975de7
--- /dev/null
+++ b/kde-base/kdebindings/kdebindings-2.2.1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Philippe Namias <pnamias@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdebindings/kdebindings-2.2.1.ebuild,v 1.1 2001/09/19 06:24:04 danarmak Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="KDE ${PV} - Bindings"
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+
+HOMEPAGE="http://www.kde.org/"
+
+DEPEND=">=kde-base/kdebase-${PV}
+ >=x11-libs/gtk+-1.2.10
+ sys-devel/perl
+ python? ( dev-lang/python )
+ java? ( dev-lang/jdk )
+ objprelink? ( dev-util/objprelink )"
+
+RDEPEND=$DEPEND
+
+src_unpack() {
+
+ cd ${WORKDIR}
+ unpack ${P}.tar.bz2
+
+}
+
+src_compile() {
+ . /etc/env.d/90{kde${PV},qt}
+ local myconf
+ if [ "`use qtmt`" ]
+ then
+ myconf="--enable-mt"
+ fi
+ if [ "`use mitshm`" ]
+ then
+ myconf="$myconf --enable-mitshm"
+ fi
+ if [ -z "`use python`" ] ; then
+ myconf="$myconf --without-python"
+ fi
+ if [ "`use java`" ] ; then
+ myconf="$myconf --with-java=/opt/java"
+ else
+ myconf="$myconf --without-java"
+ fi
+ if [ "`use objprelink`" ] ; then
+ myconf="$myconf --enable-objprelink"
+ fi
+ ./configure --host=${CHOST} \
+ --with-xinerama $myconf || die
+ make LIBPYTHON=\"`python-config`\" || die
+}
+
+src_install() {
+ make install DESTDIR=${D} || die
+ dodoc AUTHORS COPYING README
+}
+
+
+
diff --git a/kde-base/kdegames/kdegames-2.2.1.ebuild b/kde-base/kdegames/kdegames-2.2.1.ebuild
new file mode 100644
index 000000000000..107e48b7577f
--- /dev/null
+++ b/kde-base/kdegames/kdegames-2.2.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Philippe Namias <pnamias@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdegames/kdegames-2.2.1.ebuild,v 1.1 2001/09/19 06:24:04 danarmak Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="KDE ${PV} - Games"
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+
+HOMEPAGE="http://www.kde.org/"
+
+DEPEND=">=kde-base/kdelibs-${PV}
+ objprelink? ( dev-util/objprelink )"
+
+RDEPEND="$DEPEND"
+
+src_unpack() {
+
+ cd ${WORKDIR}
+ unpack ${P}.tar.bz2
+
+}
+
+src_compile() {
+ . /etc/env.d/90{kde${PV},qt}
+ ./configure --host=${CHOST} \
+ --with-xinerama || die
+ make || die
+}
+
+src_install() {
+ make install DESTDIR=${D} || die
+ dodoc AUTHORS COPYING README
+}
diff --git a/kde-base/kdegraphics/files/kdegraphics-2.2.1-gentoo.diff b/kde-base/kdegraphics/files/kdegraphics-2.2.1-gentoo.diff
new file mode 100644
index 000000000000..b29ef814b70a
--- /dev/null
+++ b/kde-base/kdegraphics/files/kdegraphics-2.2.1-gentoo.diff
@@ -0,0 +1,11 @@
+--- kamera/kcontrol/kamera.cpp~ Sun Jul 22 17:26:01 2001
++++ kamera/kcontrol/kamera.cpp Sun Jul 22 17:26:13 2001
+@@ -368,7 +368,7 @@
+ {
+ CameraAbilities abilities;
+
+- char *name = item->text(0).latin1();
++ char *name = (char *) item->text(0).latin1();
+
+ // retrieve camera abilities structure
+ if(gp_camera_abilities_by_name(name, &abilities) == GP_OK) {
diff --git a/kde-base/kdegraphics/kdegraphics-2.2.1.ebuild b/kde-base/kdegraphics/kdegraphics-2.2.1.ebuild
new file mode 100644
index 000000000000..1d0060cf2912
--- /dev/null
+++ b/kde-base/kdegraphics/kdegraphics-2.2.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Philippe Namias <pnamias@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdegraphics/kdegraphics-2.2.1.ebuild,v 1.1 2001/09/19 06:24:04 danarmak Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="KDE ${PV} - Graphics"
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+
+HOMEPAGE="http://www.kde.org"
+
+DEPEND=">=kde-base/kdelibs-${PV} sys-devel/perl
+ tex? ( >=app-text/tetex-1.0.7 )
+ gphoto2? ( >=gnome-apps/gphoto-2.0_beta1 >=media-libs/libgpio-20010607 )
+ objprelink? ( dev-util/objprelink )"
+
+RDEPEND=">=kde-base/kdelibs-${PV} gphoto2? ( >=gnome-apps/gphoto-2.0_beta1 >=media-libs/libgpio-20010607 )"
+
+src_unpack() {
+
+ cd ${WORKDIR}
+ unpack ${P}.tar.bz2
+ cd ${S}
+ patch -p0 < ${FILESDIR}/${PF}-gentoo.diff
+
+}
+
+src_compile() {
+ . /etc/env.d/90{kde${PV},qt}
+ local myconf
+ if [ "`use qtmt`" ]
+ then
+ myconf="--enable-mt"
+ fi
+ if [ "`use mitshm`" ]
+ then
+ myconf="$myconf --enable-mitshm"
+ fi
+ if [ "`use gphoto2`" ] ; then
+ myconf="$myconf --with-gphoto2-includes=/usr/include/gphoto2 --with-gphoto2-libraries=/usr/lib/gphoto2"
+ else
+ myconf="$myconf --without-kamera"
+ fi
+ if [ "`use objprelink`" ] ; then
+ myconf="$myconf --enable-objprelink"
+ fi
+ ./configure --host=${CHOST} \
+ $myconf --with-xinerama || die
+ make || die
+}
+
+src_install() {
+ make install DESTDIR=${D} || die
+ dodoc AUTHORS COPYING README ChangeLog
+}
+
+
+
+
diff --git a/kde-base/kdelibs/files/digest-kdelibs-2.2.1 b/kde-base/kdelibs/files/digest-kdelibs-2.2.1
new file mode 100644
index 000000000000..99faee8a1d91
--- /dev/null
+++ b/kde-base/kdelibs/files/digest-kdelibs-2.2.1
@@ -0,0 +1,2 @@
+MD5 67a29b76d24cb394aff9fd8a7f68f34e kde-admin-acinclude.patch
+MD5 3aa73b3fe7095b3bab3081bece73f56f kdelibs-2.2.1.tar.bz2
diff --git a/kde-base/kdelibs/kdelibs-2.2.1.ebuild b/kde-base/kdelibs/kdelibs-2.2.1.ebuild
new file mode 100644
index 000000000000..75eac657e4a5
--- /dev/null
+++ b/kde-base/kdelibs/kdelibs-2.2.1.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Achim Gottinger <achim@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdelibs/kdelibs-2.2.1.ebuild,v 1.1 2001/09/19 06:24:04 danarmak Exp $
+# NOTE: Now we install into /usr
+# ANOTHER NOTE: we now rely on env.d to provide KDEDIR and QTDIR settings,
+# instead of hardconding them here
+
+S=${WORKDIR}/${P}
+DESCRIPTION="KDE ${PV} - Libraries"
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+
+HOMEPAGE="http://www.kde.org/"
+
+DEPEND=">=sys-devel/gcc-2.95.2 sys-devel/perl
+ >=media-libs/audiofile-0.1.9
+ >=x11-libs/qt-x11-2.3.0
+ >=sys-apps/bzip2-1.0.1
+ >=dev-libs/libpcre-3.4
+ >=gnome-libs/libxml2-2.4.1
+ ssl? ( >=dev-libs/openssl-0.9.6 )
+ alsa? ( >=media-libs/alsa-lib-0.5.9 )
+ cups? ( net-print/cups )
+ objprelink? ( dev-util/objprelink )
+ sys-devel/autoconf"
+
+RDEPEND=">=sys-devel/gcc-2.95.2
+ >=media-libs/audiofile-0.1.9
+ >=media-libs/tiff-3.5.5
+ >=sys-apps/bzip2-1.0.1
+ >=dev-libs/libpcre-3.4
+ >=x11-libs/qt-x11-2.3.0
+ ~kde-base/kde-env-${PV}
+ app-text/sgml-common
+ alsa? ( >=media-libs/alsa-lib-0.5.9 )
+ cups? ( net-print/cups )
+ ssl? ( >=dev-libs/openssl-0.9.6 )
+ sys-devel/perl
+ dev-lang/python"
+
+src_unpack() {
+
+ cd ${WORKDIR}
+ unpack ${P}.tar.bz2
+ cd ${S}
+
+}
+
+src_compile() {
+
+ # in case we haven't relogged in since merging kde-env or qt
+ source /etc/env.d/90{kde${PV},qt}
+
+ local myopts
+ if [ "`use ssl`" ] ; then
+ myopts="--with-ssl-dir=/usr"
+ else
+ myopts="--without-ssl"
+ fi
+ if [ "`use alsa`" ] ; then
+ myopts="$myopts --with-alsa"
+ fi
+ if [ -z "`use cups`" ] ; then
+ myopts="$myopts --disable-cups"
+ fi
+ if [ "`use qtmt`" ] ; then
+ myopts="$myopts --enable-mt"
+ fi
+ if [ "`use mitshm`" ] ; then
+ myopts="$myopts --enable-mitshm"
+ fi
+ if [ -z "`use ipv6`" ] ; then
+ myopts="$myopts --with-ipv6-lookup=no"
+ fi
+ if [ "`use objprelink`" ] ; then
+ myopts="$myopts --enable-objprelink"
+ fi
+
+ ./configure --host=${CHOST} \
+ $myopts --with-xinerama --disable-libfam || die
+ make || die
+}
+
+src_install() {
+ make install DESTDIR=${D} || die
+ dodoc AUTHORS ChangeLog COMPILING COPYING* NAMING NEWS README
+ docinto html
+ dodoc *.html
+}
+
+
diff --git a/kde-base/kdemultimedia/files/kdemultimedia-2.2.1-gentoo.diff b/kde-base/kdemultimedia/files/kdemultimedia-2.2.1-gentoo.diff
new file mode 100644
index 000000000000..b106fcc5b61d
--- /dev/null
+++ b/kde-base/kdemultimedia/files/kdemultimedia-2.2.1-gentoo.diff
@@ -0,0 +1,55 @@
+--- kmidi/TIMIDITY/motif_p.c~ Sun Jul 22 22:26:41 2001
++++ kmidi/TIMIDITY/motif_p.c Sun Jul 22 22:26:51 2001
+@@ -24,6 +24,7 @@
+ */
+ #ifdef IA_MOTIF
+
++#include <errno.h>
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <unistd.h>
+--- kmidi/alsa_a.cpp.orig Thu Aug 16 23:17:55 2001
++++ kmidi/alsa_a.cpp Thu Aug 16 23:19:27 2001
+@@ -426,13 +426,13 @@
+ playback_params.fragments_max = extra_param[0];
+ #endif
+ playback_params.buf.block.frags_min = 1;
+- snd_pcm_plugin_flush(handle__, SND_PCM_CHANNEL_PLAYBACK);
++ snd_pcm_plugin_flush((snd_pcm_t *)handle__, SND_PCM_CHANNEL_PLAYBACK);
+
+ playback_params.start_mode = SND_PCM_START_FULL;
+ playback_params.stop_mode = SND_PCM_STOP_STOP;
+ //playback_params.stop_mode = SND_PCM_STOP_ROLLOVER;
+
+- tmp = snd_pcm_channel_params (handle__, &playback_params);
++ tmp = snd_pcm_channel_params ((snd_pcm_t *)handle__, &playback_params);
+
+ //fprintf(stderr,"tmp = %d from snd_pcm_channel_params\n",tmp);
+ if (tmp != 0)
+@@ -448,7 +448,7 @@
+ }
+
+
+- if (snd_pcm_plugin_prepare(handle__, SND_PCM_CHANNEL_PLAYBACK) < 0) {
++ if (snd_pcm_plugin_prepare((snd_pcm_t *)handle__, SND_PCM_CHANNEL_PLAYBACK) < 0) {
+ fprintf(stderr, "unable to prepare channel\n");
+ return -1;
+ }
+@@ -456,7 +456,7 @@
+ memset(&setup, 0, sizeof(setup));
+ setup.channel = SND_PCM_CHANNEL_PLAYBACK;
+ setup.mode = SND_PCM_MODE_BLOCK;
+- if (snd_pcm_plugin_setup(handle__, &setup) < 0) {
++ if (snd_pcm_plugin_setup((snd_pcm_t *)handle__, &setup) < 0) {
+ fprintf(stderr, "unable to obtain setup\n");
+ return -1;
+ }
+@@ -466,7 +466,7 @@
+ //fprintf(stderr, "setup frags = %d\n", setup.buf.block.frags);
+ //fprintf(stderr, "setup frag_size = %d\n", setup.buf.block.frag_size);
+
+- if(snd_pcm_plugin_status(handle__, &playback_status) == 0)
++ if(snd_pcm_plugin_status((snd_pcm_t *)handle__, &playback_status) == 0)
+ {
+ if (setup.format.rate != orig_rate)
+ {
diff --git a/kde-base/kdemultimedia/kdemultimedia-2.2.1.ebuild b/kde-base/kdemultimedia/kdemultimedia-2.2.1.ebuild
new file mode 100644
index 000000000000..02cc2d130ebe
--- /dev/null
+++ b/kde-base/kdemultimedia/kdemultimedia-2.2.1.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Philippe Namias <pnamias@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdemultimedia/kdemultimedia-2.2.1.ebuild,v 1.1 2001/09/19 06:24:04 danarmak Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="KDE ${PV} - Multimedia"
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+
+HOMEPAGE="http://www.kde.org"
+
+DEPEND=">=kde-base/kdelibs-${PV}
+ >=sys-libs/ncurses-5.2
+ >=media-sound/cdparanoia-3.9.8
+ >=media-libs/libvorbis-1.0_beta4
+ alsa? ( >=media-libs/alsa-lib-0.5.9 )
+ nas? ( >=media-sound/nas-1.4.1 )
+ esd? ( >=media-sound/esound-0.2.22 )
+ motif? ( >=x11-libs/openmotif-2.1.30 )
+ gtk? ( >=x11-libs/gtk+-1.2.10 )
+ slang? ( >=sys-libs/slang-1.4.4 )
+ objprelink? ( dev-util/objprelink )"
+# tcltk? ( =dev-lang/tcl-tk.8.0.5-r2 )
+
+RDEPEND=$DEPEND
+
+src_unpack() {
+
+ cd ${WORKDIR}
+ unpack ${P}.tar.bz2
+ cd ${S}
+ patch -p0 < ${FILESDIR}/${PF}-gentoo.diff
+
+}
+
+src_compile() {
+ . /etc/env.d/90{kde${PV},qt}
+ local myconf
+ local myaudio
+ local myinteface
+ myaudio="--enable-audio=oss"
+ myinterface="--enable-interface=xaw,ncurses"
+ if [ -n "`use alsa`" ]
+ then
+ myconf="--with-alsa"
+ myaudio="$myaudio,alsa"
+ fi
+ if [ -n "`use nas`" ]
+ then
+ myaudio="$myaudio,nas"
+ fi
+ if [ -n "`use esd`" ]
+ then
+ myaudio="$myaudio,esd"
+ fi
+ if [ -n "`use motif`" ]
+ then
+ myinterface="$myinterface,motif"
+ fi
+ if [ -n "`use gtk`" ]
+ then
+ myinterface="$myinterface,gtk"
+ fi
+# tcl tk does not work
+# if [ "`use tcltk`" ]
+# then
+# myinterface="$myinterface,tcltk"
+# fi
+ if [ -n "`use slang`" ]
+ then
+ myinterface="$myinterface,slang"
+ fi
+ if [ "`use qtmt`" ]
+ then
+ myconf="$myconf --enable-mt"
+ fi
+ if [ "`use mitshm`" ]
+ then
+ myconf="$myconf --enable-mitshm"
+ fi
+ if [ "`use objprelink`" ] ; then
+ myconf="$myconf --enable-objprelink"
+ fi
+ ./configure --host=${CHOST} \
+ --with-xinerama \
+ $myconf $myaudio $myinterface || die
+ make || die
+}
+
+src_install() {
+ make install DESTDIR=${D} || die
+ dodoc AUTHORS ChangeLog COPYING README*
+}
+
+
+
+
+
+
+
diff --git a/kde-base/kdenetwork/kdenetwork-2.2.1.ebuild b/kde-base/kdenetwork/kdenetwork-2.2.1.ebuild
new file mode 100644
index 000000000000..d0ff4a961faf
--- /dev/null
+++ b/kde-base/kdenetwork/kdenetwork-2.2.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Philippe Namias <pnamias@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdenetwork/kdenetwork-2.2.1.ebuild,v 1.1 2001/09/19 06:24:04 danarmak Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="KDE ${PV} - Network"
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+
+HOMEPAGE="http://www.kde.org"
+
+DEPEND=">=kde-base/kdelibs-${PV}
+ objprelink? ( dev-util/objprelink )"
+
+RDEPEND=$DEPEND
+
+src_unpack() {
+
+ cd ${WORKDIR}
+ unpack ${P}.tar.bz2
+
+}
+
+src_compile() {
+ . /etc/env.d/90{kde${PV},qt}
+ local myconf
+ if [ "`use qtmt`" ]
+ then
+ myconf="--enable-mt"
+ fi
+ if [ "`use mitshm`" ]
+ then
+ myconf="$myconf --enable-mitshm"
+ fi
+ if [ "`use objprelink`" ] ; then
+ myconf="$myconf --enable-objprelink"
+ fi
+ ./configure --host=${CHOST} \
+ --with-xinerama $myconf || die
+ make || die
+}
+
+src_install() {
+ make install DESTDIR=${D} || die
+ dodoc AUTHORS COPYING README
+}
diff --git a/kde-base/kdepim/kdepim-2.2.1.ebuild b/kde-base/kdepim/kdepim-2.2.1.ebuild
new file mode 100644
index 000000000000..8550c2fa014a
--- /dev/null
+++ b/kde-base/kdepim/kdepim-2.2.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Philippe Namias <pnamias@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdepim/kdepim-2.2.1.ebuild,v 1.1 2001/09/19 06:24:04 danarmak Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="KDE ${PV} - PIM"
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+
+HOMEPAGE="http:/www.kde.org/"
+
+DEPEND=">=kde-base/kdelibs-${PV} >=dev-libs/pilot-link-0.9.0 sys-devel/perl
+ objprelink? ( dev-util/objprelink )"
+
+RDEPEND=">=kde-base/kdelibs-${PV} >=dev-libs/pilot-link-0.9.0"
+
+src_unpack() {
+
+ cd ${WORKDIR}
+ unpack ${P}.tar.bz2
+
+}
+
+src_compile() {
+ . /etc/env.d/90{kde${PV},qt}
+ local myconf
+ if [ "`use qtmt`" ]
+ then
+ myconf="--enable-mt"
+ fi
+ if [ "`use mitshm`" ]
+ then
+ myconf="$myconf --enable-mitshm"
+ fi
+ if [ "`use objprelink`" ] ; then
+ myconf="$myconf --enable-objprelink"
+ fi
+ ./configure --host=${CHOST} \
+ --with-xinerama $myconf || die
+ make || die
+}
+
+src_install() {
+ make install DESTDIR=${D} || die
+ dodoc README
+ docinto html
+ dodoc *.html
+}
diff --git a/kde-base/kdesdk/kdesdk-2.2.1.ebuild b/kde-base/kdesdk/kdesdk-2.2.1.ebuild
new file mode 100644
index 000000000000..577d38c565f4
--- /dev/null
+++ b/kde-base/kdesdk/kdesdk-2.2.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Philippe Namias <pnamias@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdesdk/kdesdk-2.2.1.ebuild,v 1.1 2001/09/19 06:24:04 danarmak Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="KDE ${PV} - SDK"
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+
+HOMEPAGE="http://www.kde.org/"
+
+DEPEND=">=kde-base/kdelibs-${PV}
+ objprelink? ( dev-util/objprelink )"
+
+RDEPEND=$DEPEND
+
+src_unpack() {
+
+ cd ${WORKDIR}
+ unpack ${P}.tar.bz2
+
+}
+
+src_compile() {
+ . /etc/env.d/90{kde${PV},qt}
+ local myconf
+ if [ "`use qtmt`" ]
+ then
+ myconf="--enable-mt"
+ fi
+ if [ "`use mitshm`" ]
+ then
+ myconf="$myconf --enable-mitshm"
+ fi
+ if [ "`use objprelink`" ] ; then
+ myconf="$myconf --enable-objprelink"
+ fi
+ ./configure --host=${CHOST} $myconf || die
+ make || die
+}
+
+src_install() {
+ make install DESTDIR=${D} || die
+ dodoc AUTHORS COPYING README
+}
+
+
+
diff --git a/kde-base/kdetoys/kdetoys-2.2.1.ebuild b/kde-base/kdetoys/kdetoys-2.2.1.ebuild
new file mode 100644
index 000000000000..9d84a676fdef
--- /dev/null
+++ b/kde-base/kdetoys/kdetoys-2.2.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Philippe Namias <pnamias@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdetoys/kdetoys-2.2.1.ebuild,v 1.1 2001/09/19 06:24:04 danarmak Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="KDE ${PV} - Toys"
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+
+HOMEPAGE="http://www.kde.org/"
+
+DEPEND=">=kde-base/kdelibs-${PV}
+ objprelink? ( dev-util/objprelink )"
+
+RDEPEND="$DEPEND"
+
+src_unpack() {
+
+ cd ${WORKDIR}
+ unpack ${P}.tar.bz2
+
+}
+
+src_compile() {
+ . /etc/env.d/90{kde${PV},qt}
+ if [ "`use objprelink`" ] ; then
+ myconf="--enable-objprelink"
+ fi
+ ./configure --host=${CHOST} \
+ --with-xinerama $myconf || die
+ make || die
+}
+
+src_install() {
+ make install DESTDIR=${D} || die
+ dodoc AUTHORS COPYING README
+}
diff --git a/kde-base/kdeutils/kdeutils-2.2.1.ebuild b/kde-base/kdeutils/kdeutils-2.2.1.ebuild
new file mode 100644
index 000000000000..518fccd8756f
--- /dev/null
+++ b/kde-base/kdeutils/kdeutils-2.2.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Philippe Namias <pnamias@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdeutils/kdeutils-2.2.1.ebuild,v 1.1 2001/09/19 06:24:04 danarmak Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="KDE ${PV} - Utilities"
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+
+HOMEPAGE="http://www.kde.org/"
+
+DEPEND=">=kde-base/kdelibs-${PV}
+ objprelink? ( dev-util/objprelink )"
+
+RDEPEND="$DEPEND"
+
+src_unpack() {
+
+ cd ${WORKDIR}
+ unpack ${P}.tar.bz2
+
+}
+
+src_compile() {
+ . /etc/env.d/90{kde${PV},qt}
+ if [ "`use objprelink`" ] ; then
+ myconf="--enable-objprelink"
+ fi
+ ./configure --host=${CHOST} \
+ --with-xinerama $myconf || die
+ make || die
+}
+
+src_install() {
+ make install DESTDIR=${D} ||die
+ dodoc AUTHORS COPYING README
+}
diff --git a/kde-base/kdoc/files/digest-kdoc-2.2.1 b/kde-base/kdoc/files/digest-kdoc-2.2.1
new file mode 100644
index 000000000000..731aaec64c7b
--- /dev/null
+++ b/kde-base/kdoc/files/digest-kdoc-2.2.1
@@ -0,0 +1 @@
+MD5 ae867ca05ec34d6db471b5a3ed56da09 kdoc-2.2.1.tar.bz2
diff --git a/kde-base/kdoc/kdoc-2.2.1.ebuild b/kde-base/kdoc/kdoc-2.2.1.ebuild
new file mode 100644
index 000000000000..391921580a02
--- /dev/null
+++ b/kde-base/kdoc/kdoc-2.2.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Philippe Namias <pnamias@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/kde-base/kdoc/kdoc-2.2.1.ebuild,v 1.1 2001/09/19 06:24:05 danarmak Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="KDE ${PV} - Utilities"
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+
+HOMEPAGE="http://www.kde.org/"
+
+DEPEND=">=kde-base/kdelibs-${PV}
+ objprelink? ( dev-util/objprelink )
+ sys-devel/perl"
+
+RDEPEND="$DEPEND"
+
+src_unpack() {
+
+ cd ${WORKDIR}
+ unpack ${P}.tar.bz2
+
+}
+
+src_compile() {
+ . /etc/env.d/90{kde${PV},qt}
+ if [ "`use objprelink`" ] ; then
+ myconf="--enable-objprelink"
+ fi
+ ./configure --host=${CHOST} \
+ --with-xinerama $myconf || die
+ make || die
+}
+
+src_install() {
+ make install DESTDIR=${D} ||die
+ dodoc AUTHORS COPYING README
+}